return to index

VDKObjectContainer class <widcontain.h>

Inherits from VDKObject

Description

This class provides a container widget, common class for specialized containers such ad: VDKBox, VDKTable, VDKFrame, VDKPaned. Since VDKObjectContainer is a common base class, normally user should not construct this type of object.

Methods

- VDKObjectContainer(VDKForm* owner)
Constructor
- virtual ~VDKObjectContainer()
Destructor
- virtual void Add(VDKObject* obj, int ,int , int , int )
Add an object.
Tip: user normally does not make use of this, subclasses overridden methods do the job correctly.
- void BorderWidth(int w = -1)
Sets container border width. Returns container border width if arg <w> is < 0.
- void RemoveObject(VDKObject* obj)
Remove an object from container.
- void RemoveObjects();
Remove all contained objects.
- VDKObject* FindTag(int tag)
Find an object with Tag <tag>, returns NULL if fails.
- void ForEachDo(void (*action)(VDKObject*))
Apply user defined <action> to all contained object.
- void Select(ItemList* list, bool (*condition)(VDKObject*))
Selects those contained objects that satisfy to user defined <condition>. Fills arg <list> with those objects addresses.